using InfluxDB.Client;

namespace PARR.DAL.InfluxDbServices
{
    public interface IInfluxDbService
    {
        Task<T> QueryAsync<T>(Func<QueryApi, Task<T>> action, string token);
        bool Write(Action<WriteApi> action, string token);
    }
}
